Outil de diagnostic DirectX

La documentation de l'outil de diagnostic Microsoft® DirectX® contient les rubriques suivantes :

  • À propos de l'outil de diagnostic DirectX
  • Recherches que vous devez effectuer
  • Test des composants DirectX
  • Remplacement du comportement par défaut
  • Restauration des pilotes
  • Enregistrement des informations
  • Exposition des problèmes


À propos de l'outil de diagnostic DirectX

L'outil de diagnostic DirectX® donne des informations sur les pilotes et les composants d'interface de programmation d'application (API) Microsoft® DirectX de votre système et vous permet de tester le son et les graphiques, ainsi que les fournisseurs de services DirectPlay®. Il vous permet également de désactiver certaines fonctionnalités d'accélération matérielle.

Vous pouvez utiliser cet outil pour collecter les informations dont vous avez besoin pour appeler un technicien du Support technique ou vous pouvez enregistrer ces informations et les coller dans un message électronique.

Les informations sont présentées dans plusieurs pages. Vous pouvez vous déplacer de page en page en utilisant une des méthodes suivantes :

  • Cliquez sur les onglets.
  • Cliquez sur le bouton Page suivante.
  • Appuyez sur les flèches de direction de gauche ou de droite lorsque le curseur se trouve sur un onglet.

Remarque Certaines informations, telles que la taille de la mémoire sur une carte, peuvent être approximatives.


Recherches que vous devez effectuer

Si vous rencontrez des problèmes lors de l'exécution des applications DirectX, l'outil de diagnostic DirectX peut vous aider à trouver la source de ces problèmes. Voici les éléments vers lesquels vous devez orienter vos recherches :

  • Versions incorrectes des composants DirectX. Dans la section Notes de la page Fichiers DirectX, recherchez les avertissements concernant les fichiers bêta et débogués. Les fichiers bêta sont des anciennes versions de test et ne doivent pas être installés avec les versions commercialisées. Les versions déboguées, qui sont utilisées dans un développement de programme et qui ne doivent pas non plus être utilisées avec le produit final, peuvent exécuter les applications de manière beaucoup plus lente qu'avec les versions commercialisées des composants.
  • Pilotes non certifiés. Dans la liste de fichiers située dans la page Pilotes DirectX, recherchez les pilotes marqués comme étant non certifiés. D'autres problèmes peuvent provenir de la section Notes des pages Afficher, Son et Entrée. Les pilotes non certifiés n'ont pas été testés avec la toute dernière version de DirectX au niveau de la compatibilité par Microsoft.
  • Manque d'accélération matérielle. Certains programmes s'exécutent très lentement ou pas du tout sauf si l'accélération matérielle de DirectDraw® ou Direct3D® est disponible. Dans la page Afficher, recherchez sous Fonctionnalités DirectX pour vérifier si DirectDraw ou Direct3D ont la mention « Aucune accélération disponible ». Si tel est le cas, vous devez penser à mettre à niveau votre matériel.
  • Périphérique non connecté. Si une manette de jeu ou autre périphérique ne fonctionnent pas, il est possible qu'ils ne soient pas correctement installés. Assurez-vous que le périphérique se trouve dans la page Entrée de l'outil de diagnostic DirectX. Si ce n'est pas le cas, ajoutez le périphérique via le Panneau de configuration.


Test des composants DirectX

Vous pouvez tester DirectDraw et Direct3D sur chaque moniteur relié à votre système, DirectSound® sur chaque périphérique de sortie son et DirectMusic® sur chaque port de musique.

Cliquez sur le bouton Tester, lisez tous les messages qui s'affichent et observez ou écoutez les tests. Laissez chaque test s'exécuter jusqu'à ce qu'un message s'affiche vous demandant si le test a réussi. Si vous répondez Non, plus aucun test ne s'exécute.

Dans le cas de DirectMusic, il n'existe qu'un seul test. Il vous suffit de cliquer sur OK lorsque vous êtes satisfait de la qualité du son de votre musique.

Vous pouvez également tester la fonctionnalité DirectPlay de tout fournisseur de services disponible.

Pour tester DirectPlay :

  1. Dans la page Réseau, cliquez sur Tester DirectPlay. Dans la boîte de dialogue Test DirectPlay, tapez un nom d'utilisateur et choisissez un fournisseur de services. Sélectionnez Créer une nouvelle session et cliquez sur OK. Si vous avez choisi une connexion par modem, cliquez sur Répondre dans la boîte de dialogue Connexion par modem afin de mettre le modem en mode de réponse automatique.
  2. À présent, exécutez l'outil de diagnostic DirectX sur un autre ordinateur qui peut établir la connexion sélectionnée avec le premier ordinateur. Cliquez sur Tester DirectPlay, tapez un autre nom d'utilisateur, choisissez le même fournisseur de services, sélectionnez le bouton Se joindre à une session existante et cliquez sur OK. Pour certains types de connexion, vous pouvez être invité à fournir davantage d'informations, telles qu'un numéro de téléphone. Pour une connexion sur un réseau local, vous pouvez laisser la zone de texte vide.
  3. Vous devriez voir sur le second ordinateur une Liste de sessions, contenant le nom de la session que vous avez créée sur le premier ordinateur. Sélectionnez le nom de la session et cliquez sur OK.
  4. Les deux ordinateurs devraient afficher un dialogue. Tapez un message dans la zone de saisie sur un des ordinateurs et cliquez sur Envoyer. Le message apparaît dans la zone déroulante de la boîte de dialogue de Conversation sur les deux ordinateurs.


Remplacement du comportement par défaut

Dans la page Son, vous pouvez définir un autre niveau d'accélération matérielle en déplaçant le potentiomètre. Ce niveau reste toujours en vigueur après avoir fermé l'outil de diagnostic DirectX.

Remarque Cette fonctionnalité n'est pas disponible sur Windows® 95.)

Dans la page Afficher pour chaque périphérique d'affichage installé sur votre système, vous pouvez désactiver l'accélération matérielle pour DirectDraw ou Direct3D (si cette accélération est disponible) en cliquant sur le bouton Désactiver. Une fois désactivée, cette accélération reste désactivée même après avoir fermé l'outil de diagnostic DirectX, et ne sera disponible pour aucune application. Pour la réactiver, cliquez sur le bouton Activer.

Remarque Désactiver l'accélération de DirectDraw revient à désactiver également l'accélération de Direct3D.

Vous pouvez également remplacer le taux de rafraîchissement de votre moniteur défini par les applications plein écran de DirectDraw. Cette action est nécessaire seulement si vous rencontrez des problèmes d'affichage avec certaines applications et si vous avez de bonnes raisons de croire que l'application a défini un taux de rafraîchissement inapproprié.

Pour définir un nouveau taux de rafraîchissement :

  1. Dans la page Aide supplémentaire, cliquez sur le bouton Remplacer.
  2. Dans la boîte de dialogue Remplacer la fréquence de rafraîchissement par défaut de DirectDraw, sélectionnez la zone modifiable et tapez un taux de rafraîchissement approprié à votre moniteur. L'option Remplacer par la valeur est alors automatiquement sélectionnée.
  3. Cliquez sur OK.

Pour annuler le taux de rafraîchissement de remplacement et permettre aux applications DirectDraw de définir leur propre taux de rafraîchissement :

  1. Dans la page Aide supplémentaire, cliquez sur le bouton Remplacer.
  2. Dans la boîte de dialogue Remplacer la fréquence de rafraîchissement par défaut de DirectDraw, sélectionnez l'option Par défaut.
  3. Cliquez sur OK.


Restauration des pilotes

Dans certaines configurations, l'outil de diagnostic DirectX® vous permet de restaurer d'anciens pilotes audio et vidéo. C'est peut-être le meilleur moyen de résoudre les problèmes d'incompatibilité de périphériques.

Si un bouton Restaurer apparaît dans la page Aide supplémentaire, cliquez sur ce bouton pour exécuter le programme d'installation de DirectX.

L'installation de DirectX a deux boutons appelés Restaurer les pilotes audio et Restaurer les pilotes d'affichage. Cliquer sur l'un de ces boutons permet de restaurer les pilotes qui avaient été remplacés lors de l'installation de DirectX sur votre système. Si un bouton est désactivé, vous ne pouvez pas restaurer ces pilotes. Dans ce cas, contactez le fabricant pour obtenir les pilotes les plus récents.

L'installation DirectX fournit également une case à cocher qui permet de désactiver l'accélération matérielle D3D, ce que vous pouvez déjà faire à partir de DxDiag. (Consultez Remplacement du comportement par défaut.)


Enregistrement des informations

Il existe deux méthodes d'enregistrement des informations collectées par l'outil de diagnostic DirectX :

  • Cliquez sur le bouton Enregistrer toutes les informations. Les informations contenues dans l'ensemble des pages sont enregistrées dans un fichier dont vous choisissez le nom et l'emplacement.

Ou, si vous êtes un développeur de logiciel, à l'aide de la version du développeur de cet outil :

  • Dans la page Aide supplémentaire, cliquez sur Rapport. Une boîte de dialogue Informations du rapport de bogues s'affiche. Lorsque vous avez entré les données nécessaires, cliquez sur Envoyer. Un fichier texte appelé Dxdiag.txt est créé dans votre répertoire temporaire (par exemple, C:\Windows\Temp) et s'affiche dans une fenêtre du Bloc-notes. Ce fichier contient les mêmes informations que celles collectées par la méthode précédente, mais inclut également les informations personnelles et autres que vous avez entrées.


Exposition des problèmes

Si vous rencontrez un problème que vous pensez lié à un pilote ou à un composant DirectX, vous pouvez contacter le Support technique Microsoft (consultez l'Aide de Microsoft® Windows® sous Dépannage). Si vous êtes un développeur de logiciel et si vous disposez de la version du développeur de l'outil de diagnostic, vous pouvez exposer votre problème par courrier électronique.

Remarque Ces instructions ne s'appliquent qu'à la version du développeur de cet outil. Cette option n'est pas disponible pour tous les utilisateurs.

Pour exposer votre problème par courrier électronique :

  1. Cliquez sur Rapport dans la page Aide supplémentaire.
  2. Remplissez les sections appropriées de la boîte de dialogue Informations du rapport de bogues, puis cliquez sur Envoyer.
  3. Un message s'affiche, vous donnant le chemin complet du fichier texte qui a été créé et l'adresse électronique. Prenez note de cette adresse. Cliquez sur OK. Une fenêtre du Bloc-notes apparaît avec le contenu de Dxdiag.txt.
  4. À partir du menu Edition dans le Bloc-notes, sélectionnez Sélectionner tout, puis Copier pour placer la totalité du contenu du fichier dans le Presse-papiers.
  5. Créez un message dans votre programme de messagerie et collez le contenu du Presse-papiers dans le corps du message. Envoyez le message à l'adresse que vous avez notée lors de l'étape 3.


Rubrique introuvable

Aucune rubrique correspondante n'a été trouvée. Voici quelques causes possibles et leurs solutions :

  • Le fichier (.chm) qui contient la rubrique de destination ne se trouve dans l'emplacement prévu.

    Solution : Exécutez à nouveau le programme d'installation de MSDN Library.

  • Le fichier (.chm) qui contient la rubrique de destination ou la rubrique en cours est périmé et le lien n'est plus valide.

    Solution : Installez la dernière version de MSDN Library.

  • Le CD-ROM MSDN Library ne se trouve pas dans le lecteur de CD-ROM.

    Solution : Insérez le CD-ROM MSDN Library dans le lecteur de CD-ROM.

Élaboré jeudi 29 juillet 1999